package com.maintain.business.service;

import com.maintain.business.domain.bo.ErpRepairFormProjectBatchBo;
import com.maintain.business.domain.bo.ErpRepairFormProjectBo;
import com.maintain.business.domain.vo.ErpRepairFormProjectVo;
import com.maintain.common.core.domain.PageQuery;
import com.maintain.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 报修单-维修项目\检验项目Service接口
 *
 * @author liushuai
 * @date 2025-04-01
 */
public interface IErpRepairFormProjectService {

    /**
     * 查询报修单-维修项目\检验项目
     */
    ErpRepairFormProjectVo queryById(Long id);

    /**
     * 查询报修单-维修项目\检验项目列表
     */
    TableDataInfo<ErpRepairFormProjectVo> queryPageList(ErpRepairFormProjectBo bo, PageQuery pageQuery);

    /**
     * 查询报修单-维修项目\检验项目列表
     */
    List<ErpRepairFormProjectVo> queryList(ErpRepairFormProjectBo bo);

    /**
     * 批量新增维修项目
     * @param bo
     * @return
     */
    Boolean insertBatchByBo(ErpRepairFormProjectBatchBo bo);

    /**
     * 新增报修单-维修项目\检验项目
     */
    Boolean insertByBo(ErpRepairFormProjectBo bo);

    /**
     * 修改报修单-维修项目\检验项目
     */
    Boolean updateByBo(ErpRepairFormProjectBo bo);

    /**
     * 校验并批量删除报修单-维修项目\检验项目信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
